GuideLab API

Remove component from order

Removes a component from an order. Only labs can remove components from their orders. The component ID is passed as a query parameter.

DELETE
/orders/{id}/components

Removes a component from an order. Only labs can remove components from their orders. The component ID is passed as a query parameter.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Query Parameters

componentId*string

Component ID to remove

Response Body

application/json

curl -X DELETE "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/components?componentId=7c9e6679-7425-40de-944b-e07fc1f90ae7"
{  "message": "string"}
Empty
Empty
Empty
Empty
Empty